Get all orders
curl --request GET \
--url https://api-ezyconnect.ezytail.com/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ezyconnect.ezytail.com/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ezyconnect.ezytail.com/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ezyconnect.ezytail.com/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ezyconnect.ezytail.com/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"activityCode": "<string>",
"activityName": "<string>",
"orderUniqueID": "<string>",
"customerOrderPlacementDate": "2023-11-07T05:31:56Z",
"deliveryAddressLastname": "<string>",
"deliveryAddressAddress1": "<string>",
"deliveryAddressPostalCode": "<string>",
"deliveryAddressCity": "<string>",
"deliveryAddressCountry": "<string>",
"deliveryAddressPhone": "<string>",
"deliveryAddressEmail": "<string>",
"transportServiceCode": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"subActivityCode": "<string>",
"operationType": "<string>",
"clientTransmittedFlowName": "<string>",
"ezyConnectIntegrationDate": "2023-11-07T05:31:56Z",
"customerOrderID": "<string>",
"idcdefi": "<string>",
"prepOrderGroupID": "<string>",
"commandChannelDescription": "<string>",
"commandType": "<string>",
"expectedPrepDate": "2023-11-07T05:31:56Z",
"ownerStockCode": "<string>",
"doManagedCustomerNumber": "<string>",
"deliveryAddressTitle": "<string>",
"deliveryAddressFirstname": "<string>",
"deliveryAddressCompany": "<string>",
"deliveryAddressAddress2": "<string>",
"deliveryAddressAddress3": "<string>",
"deliveryAddressFax": "<string>",
"deliveryAddressNameOption": "<string>",
"deliveryComment": "<string>",
"billingAddressTitle": "<string>",
"billingAddressLastname": "<string>",
"billingAddressFirstname": "<string>",
"billingAddressCompany": "<string>",
"billingAddressAddress1": "<string>",
"billingAddressAddress2": "<string>",
"billingAddressAddress3": "<string>",
"billingAddressPostalCode": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountry": "<string>",
"billingAddressPhone": "<string>",
"billingAddressFax": "<string>",
"billingAddressMail": "<string>",
"customerInvoiceNumber": "<string>",
"invoiceIssuanceDate": "2023-11-07T05:31:56Z",
"paymentMode": "<string>",
"paymentCurrency": "<string>",
"currencyRateToEuro": 123,
"discountAmount": 123,
"discountRate": 123,
"totalInvoiceHT": 123,
"totalInvoiceTTC": 123,
"shippingCost": 123,
"shippingVATCode": 123,
"invoiceNotes1": "<string>",
"invoiceNotes2": "<string>",
"invoiceNotes3": "<string>",
"intracommunityVATNumber": "<string>",
"transportCode": "<string>",
"deliveryPickupPointID": "<string>",
"pickupPointCountryCode": "<string>",
"carrierImposed": true,
"transportInstruction": "<string>",
"counterReimbursementRequested": true,
"counterReimbursementAmount": 123,
"totalAdValoremAmount": 123,
"saturdayDeliveryRequired": true,
"recipientNotification": true,
"saturdayDeliveryDate": "2023-11-07T05:31:56Z",
"transportRecipientName": "<string>",
"transportRecipientContact": "<string>",
"transportAppointmentWithCustomer": "<string>",
"transportSenderName": "<string>",
"orderProcessingPriority": 123,
"requiresParcelShelter": true,
"requiresGiftPackaging": true,
"shippingLabelMessage": "<string>",
"specificGiftMessage": "<string>",
"preparationInstructions": "<string>",
"documentLanguage": "<string>",
"orderBreakCriterion": "<string>",
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "2023-11-07T05:31:56Z",
"customField13": "2023-11-07T05:31:56Z",
"customField14": "2023-11-07T05:31:56Z",
"customField15": "2023-11-07T05:31:56Z",
"incotrm": "<string>",
"internalId": 123,
"orderEntries": [
{
"orderLineID": "<string>",
"articleReference": "<string>",
"quantityToPrepare": 123,
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"lineItemUniqueID": 123,
"idlignelog": 123,
"ownerStockCode": "<string>",
"remainingQuantityToDeliver": 123,
"unitPriceHT": 123,
"unitPriceTTC": 123,
"articleVATRate": 123,
"articleVATAmount": 123,
"attachedLotNumber": "<string>",
"articleNatureCN23": "<string>",
"articleCRBTAmount": 123,
"articleCN23CustomsCode": "<string>",
"articleOriginCountry": "<string>",
"articleInsuredAmount": "<string>",
"articlePreparationComment": "<string>",
"articleComment": "<string>",
"articleBLDesignation": "<string>",
"articleHasSerialNumber": true,
"articleHasDLUO": true,
"articleHasLotNumber": true,
"articleRequiresIngredientLabel": true,
"lineBreakCriterion": "<string>",
"customField1": 123,
"customField2": 123,
"customField3": "2023-11-07T05:31:56Z",
"customField4": "2023-11-07T05:31:56Z",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "<string>",
"gradeCode": "<string>",
"allowPackagingSubstitution": true
}
],
"orderSubOrders": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"clientOrderID": "<string>",
"clientOrderPlacementDate": "2023-11-07T05:31:56Z",
"subOrderHeader": "<string>",
"subOrderClientMessage": "<string>",
"subOrderBreakCriterion": "<string>",
"customField1": "2023-11-07T05:31:56Z",
"customField2": "2023-11-07T05:31:56Z",
"customField3": 123,
"customField4": 123,
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "<string>",
"orderEntries": [
{
"orderLineID": "<string>",
"articleReference": "<string>",
"quantityToPrepare": 123,
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"lineItemUniqueID": 123,
"idlignelog": 123,
"ownerStockCode": "<string>",
"remainingQuantityToDeliver": 123,
"unitPriceHT": 123,
"unitPriceTTC": 123,
"articleVATRate": 123,
"articleVATAmount": 123,
"attachedLotNumber": "<string>",
"articleNatureCN23": "<string>",
"articleCRBTAmount": 123,
"articleCN23CustomsCode": "<string>",
"articleOriginCountry": "<string>",
"articleInsuredAmount": "<string>",
"articlePreparationComment": "<string>",
"articleComment": "<string>",
"articleBLDesignation": "<string>",
"articleHasSerialNumber": true,
"articleHasDLUO": true,
"articleHasLotNumber": true,
"articleRequiresIngredientLabel": true,
"lineBreakCriterion": "<string>",
"customField1": 123,
"customField2": 123,
"customField3": "2023-11-07T05:31:56Z",
"customField4": "2023-11-07T05:31:56Z",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "<string>",
"gradeCode": "<string>",
"allowPackagingSubstitution": true
}
]
}
],
"id": "<string>"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Orders
Get all orders
Fetch all orders with optional filters, limited to 100 results
GET
/
orders
Get all orders
curl --request GET \
--url https://api-ezyconnect.ezytail.com/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ezyconnect.ezytail.com/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ezyconnect.ezytail.com/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ezyconnect.ezytail.com/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ezyconnect.ezytail.com/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"activityCode": "<string>",
"activityName": "<string>",
"orderUniqueID": "<string>",
"customerOrderPlacementDate": "2023-11-07T05:31:56Z",
"deliveryAddressLastname": "<string>",
"deliveryAddressAddress1": "<string>",
"deliveryAddressPostalCode": "<string>",
"deliveryAddressCity": "<string>",
"deliveryAddressCountry": "<string>",
"deliveryAddressPhone": "<string>",
"deliveryAddressEmail": "<string>",
"transportServiceCode": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"subActivityCode": "<string>",
"operationType": "<string>",
"clientTransmittedFlowName": "<string>",
"ezyConnectIntegrationDate": "2023-11-07T05:31:56Z",
"customerOrderID": "<string>",
"idcdefi": "<string>",
"prepOrderGroupID": "<string>",
"commandChannelDescription": "<string>",
"commandType": "<string>",
"expectedPrepDate": "2023-11-07T05:31:56Z",
"ownerStockCode": "<string>",
"doManagedCustomerNumber": "<string>",
"deliveryAddressTitle": "<string>",
"deliveryAddressFirstname": "<string>",
"deliveryAddressCompany": "<string>",
"deliveryAddressAddress2": "<string>",
"deliveryAddressAddress3": "<string>",
"deliveryAddressFax": "<string>",
"deliveryAddressNameOption": "<string>",
"deliveryComment": "<string>",
"billingAddressTitle": "<string>",
"billingAddressLastname": "<string>",
"billingAddressFirstname": "<string>",
"billingAddressCompany": "<string>",
"billingAddressAddress1": "<string>",
"billingAddressAddress2": "<string>",
"billingAddressAddress3": "<string>",
"billingAddressPostalCode": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountry": "<string>",
"billingAddressPhone": "<string>",
"billingAddressFax": "<string>",
"billingAddressMail": "<string>",
"customerInvoiceNumber": "<string>",
"invoiceIssuanceDate": "2023-11-07T05:31:56Z",
"paymentMode": "<string>",
"paymentCurrency": "<string>",
"currencyRateToEuro": 123,
"discountAmount": 123,
"discountRate": 123,
"totalInvoiceHT": 123,
"totalInvoiceTTC": 123,
"shippingCost": 123,
"shippingVATCode": 123,
"invoiceNotes1": "<string>",
"invoiceNotes2": "<string>",
"invoiceNotes3": "<string>",
"intracommunityVATNumber": "<string>",
"transportCode": "<string>",
"deliveryPickupPointID": "<string>",
"pickupPointCountryCode": "<string>",
"carrierImposed": true,
"transportInstruction": "<string>",
"counterReimbursementRequested": true,
"counterReimbursementAmount": 123,
"totalAdValoremAmount": 123,
"saturdayDeliveryRequired": true,
"recipientNotification": true,
"saturdayDeliveryDate": "2023-11-07T05:31:56Z",
"transportRecipientName": "<string>",
"transportRecipientContact": "<string>",
"transportAppointmentWithCustomer": "<string>",
"transportSenderName": "<string>",
"orderProcessingPriority": 123,
"requiresParcelShelter": true,
"requiresGiftPackaging": true,
"shippingLabelMessage": "<string>",
"specificGiftMessage": "<string>",
"preparationInstructions": "<string>",
"documentLanguage": "<string>",
"orderBreakCriterion": "<string>",
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "2023-11-07T05:31:56Z",
"customField13": "2023-11-07T05:31:56Z",
"customField14": "2023-11-07T05:31:56Z",
"customField15": "2023-11-07T05:31:56Z",
"incotrm": "<string>",
"internalId": 123,
"orderEntries": [
{
"orderLineID": "<string>",
"articleReference": "<string>",
"quantityToPrepare": 123,
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"lineItemUniqueID": 123,
"idlignelog": 123,
"ownerStockCode": "<string>",
"remainingQuantityToDeliver": 123,
"unitPriceHT": 123,
"unitPriceTTC": 123,
"articleVATRate": 123,
"articleVATAmount": 123,
"attachedLotNumber": "<string>",
"articleNatureCN23": "<string>",
"articleCRBTAmount": 123,
"articleCN23CustomsCode": "<string>",
"articleOriginCountry": "<string>",
"articleInsuredAmount": "<string>",
"articlePreparationComment": "<string>",
"articleComment": "<string>",
"articleBLDesignation": "<string>",
"articleHasSerialNumber": true,
"articleHasDLUO": true,
"articleHasLotNumber": true,
"articleRequiresIngredientLabel": true,
"lineBreakCriterion": "<string>",
"customField1": 123,
"customField2": 123,
"customField3": "2023-11-07T05:31:56Z",
"customField4": "2023-11-07T05:31:56Z",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "<string>",
"gradeCode": "<string>",
"allowPackagingSubstitution": true
}
],
"orderSubOrders": [
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"clientOrderID": "<string>",
"clientOrderPlacementDate": "2023-11-07T05:31:56Z",
"subOrderHeader": "<string>",
"subOrderClientMessage": "<string>",
"subOrderBreakCriterion": "<string>",
"customField1": "2023-11-07T05:31:56Z",
"customField2": "2023-11-07T05:31:56Z",
"customField3": 123,
"customField4": 123,
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "<string>",
"orderEntries": [
{
"orderLineID": "<string>",
"articleReference": "<string>",
"quantityToPrepare": 123,
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"lineItemUniqueID": 123,
"idlignelog": 123,
"ownerStockCode": "<string>",
"remainingQuantityToDeliver": 123,
"unitPriceHT": 123,
"unitPriceTTC": 123,
"articleVATRate": 123,
"articleVATAmount": 123,
"attachedLotNumber": "<string>",
"articleNatureCN23": "<string>",
"articleCRBTAmount": 123,
"articleCN23CustomsCode": "<string>",
"articleOriginCountry": "<string>",
"articleInsuredAmount": "<string>",
"articlePreparationComment": "<string>",
"articleComment": "<string>",
"articleBLDesignation": "<string>",
"articleHasSerialNumber": true,
"articleHasDLUO": true,
"articleHasLotNumber": true,
"articleRequiresIngredientLabel": true,
"lineBreakCriterion": "<string>",
"customField1": 123,
"customField2": 123,
"customField3": "2023-11-07T05:31:56Z",
"customField4": "2023-11-07T05:31:56Z",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"customField9": "<string>",
"customField10": "<string>",
"customField11": "<string>",
"customField12": "<string>",
"gradeCode": "<string>",
"allowPackagingSubstitution": true
}
]
}
],
"id": "<string>"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Response
OK

